VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form FrmTcpClient 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "TCP-Client"
   ClientHeight    =   1320
   ClientLeft      =   390
   ClientTop       =   2160
   ClientWidth     =   9945
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1320
   ScaleWidth      =   9945
   Begin VB.Timer TimerDisconnect 
      Enabled         =   0   'False
      Interval        =   3000
      Left            =   5760
      Top             =   0
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   7080
      TabIndex        =   11
      Text            =   "Text1"
      Top             =   600
      Width           =   495
   End
   Begin VB.Timer Timer_ShowStatus 
      Enabled         =   0   'False
      Interval        =   800
      Left            =   5280
      Top             =   0
   End
   Begin MSWinsockLib.Winsock TcpClient 
      Left            =   4680
      Top             =   0
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.CommandButton ButtIpConnect 
      Caption         =   "ConnIP"
      Height          =   495
      Left            =   2520
      TabIndex        =   10
      Top             =   600
      Width           =   975
   End
   Begin VB.CommandButton ButtConnectByInternet 
      Caption         =   "Connect by Internet"
      Height          =   495
      Left            =   1440
      TabIndex        =   9
      Top             =   600
      Width           =   975
   End
   Begin VB.TextBox TbxMessageLength 
      Height          =   285
      Left            =   120
      TabIndex        =   8
      Text            =   "Len"
      Top             =   240
      Width           =   615
   End
   Begin VB.CommandButton ButtDisconnect 
      Caption         =   "Disconnect"
      Height          =   495
      Left            =   3600
      TabIndex        =   6
      Top             =   600
      Width           =   975
   End
   Begin VB.TextBox TbxError 
      Height          =   285
      Left            =   5280
      TabIndex        =   4
      Text            =   "No Error"
      Top             =   960
      Width           =   4335
   End
   Begin VB.TextBox TbxClientState 
      Height          =   285
      Left            =   5280
      TabIndex        =   3
      Text            =   "Client State"
      Top             =   600
      Width           =   1575
   End
   Begin VB.CommandButton ButtConnectByLan 
      Caption         =   "Connect by LAN"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   1215
   End
   Begin VB.TextBox TbxMessage 
      Height          =   285
      Left            =   840
      TabIndex        =   0
      Text            =   "Message"
      Top             =   240
      Width           =   8775
   End
   Begin VB.Label Label5 
      Caption         =   "Error"
      Height          =   255
      Left            =   4800
      TabIndex        =   7
      Top             =   960
      Width           =   495
   End
   Begin VB.Label Label3 
      Caption         =   "State"
      Height          =   255
      Left            =   4800
      TabIndex        =   5
      Top             =   600
      Width           =   375
   End
   Begin VB.Label Label2 
      Caption         =   "Received Response"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   0
      Width           =   2055
   End
End
Attribute VB_Name = "FrmTcpClient"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' This file needs the Winsock Client to be avalable

' This connects to RasPi_1
Const RemoteIP = "192.168.2.31"  'RasPi's address
Const RemotePort = 4712
Const WanIP = "Fill in yours"
Const WanName = "Fill in yours"

Dim StrData As String
Dim OutMessage As String
Public Connected As Boolean

Private Sub Form_Load()
Timer_ShowStatus.Enabled = True
' ButtConnectByLan_Click
OutMessage = "message from Labo"
End Sub

Public Sub ButtDisconnect_Click()
Connected = False
ButtConnectByLan.Enabled = True
ButtConnectByInternet.Enabled = True
ButtDisconnect.Enabled = False
TcpClient.Close
TbxError.Text = ""
TbxMessage.Text = ""
End Sub

Private Sub ButtConnectByLan_Click()
ButtDisconnect.Enabled = True
ButtConnectByInternet.Enabled = False
ButtConnectByLan.Enabled = False
If TcpClient.State <> sckConnected Then
    TcpClient.RemoteHost = RemoteIP
    TcpClient.RemotePort = RemotePort
    TcpClient.Connect
End If
End Sub

Private Sub ButtconnectbyInternet_Click()
ButtDisconnect.Enabled = True
ButtConnectByLan.Enabled = False
ButtConnectByInternet.Enabled = False
If TcpClient.State <> sckConnected Then
    TcpClient.RemoteHost = WanName
    TcpClient.Connect
End If
End Sub

Private Sub ButtIpConnect_Click()
ButtDisconnect.Enabled = True
ButtConnectByInternet.Enabled = False
ButtConnectByLan.Enabled = False
If TcpClient.State <> sckConnected Then
    TcpClient.RemoteHost = WanIP
    TcpClient.Connect
End If
End Sub

Private Sub TcpClient_Error(ByVal Number As Integer, _
    Description As String, ByVal Scode As Long, _
    ByVal Source As String, ByVal HelpFile As String, _
    ByVal HelpContext As Long, CancelDisplay As Boolean)
TbxError.Text = Number & Description & HelpFile
End Sub

Private Sub Timer_ShowStatus_Timer()
Connected = False
Select Case TcpClient.State
Case 0
    TbxClientState.Text = "Closed"
Case 1
    TbxClientState.Text = "Open"
Case 2
    TbxClientState.Text = "Listening"
Case 3
    TbxClientState.Text = "Connection Pending"
Case 4
    TbxClientState.Text = "Resolving Host"
Case 5
    TbxClientState.Text = "Host resolved"
Case 6
    TbxClientState.Text = "Connecting"
Case 7
    TbxClientState.Text = "Connected"
    Connected = True
Case 8
    TbxClientState.Text = "Peer is closing"
    TcpClient.Close
Case 9
    TbxClientState.Text = "Error"
Case Else
    TbxClientState.Text = "Unknown"
End Select
End Sub

Private Sub TcpClient_DataArrival(ByVal BytesTotal As Long)
Dim I As Integer
Dim MessageType As String
TcpClient.GetData StrData
TbxMessageLength.Text = Len(StrData)
TbxMessage = StrData
TimerDisconnect.Enabled = True
End Sub

Private Sub Timerdisconnect_Timer()
ButtDisconnect_Click
TimerDisconnect.Enabled = False
End Sub
